// import React from 'react';
import React from '@wordpress/element';
import { __ } from '@wordpress/i18n';
import { MdArrowOutward, MdOutlineSupportAgent, MdDesignServices } from 'react-icons/md';
import { HiCursorArrowRipple } from 'react-icons/hi2';

const AdBanner = () => {
  console.log('React:', React); 
  return (
    <div className="grid grid-cols-5 gap-4 bg-neutral-200 rounded-lg p-8">
      {/* Main Content */}
      <div className="col-span-2">
        <div className="text-3xl">{__('Upgrade to Pro', 'wpcustom-cursors')}</div>
        <div className="flex items-center">
          {__('Activate the plugin or Purchase Now', 'wpcustom-cursors')} 
          <MdArrowOutward className="ml-2" />
        </div>
      </div>
      
      {/* Features */}
      <div className="col-span-1 bg-white p-4 rounded-lg flex items-center">
        <HiCursorArrowRipple className="text-xl mr-2" />
        <span>{__('Unlimited Cursors', 'wpcustom-cursors')}</span>
      </div>

      <div className="col-span-1 bg-white p-4 rounded-lg flex items-center">
        <MdOutlineSupportAgent className="text-xl mr-2" />
        <span>{__('Customer Support', 'wpcustom-cursors')}</span>
      </div>

      <div className="col-span-1 text-white bg-gradient-to-r from-[#a106f4] to-[#2472fc] p-4 rounded-lg flex items-center">
        <MdDesignServices className="text-xl mr-2" />
        <span>{__('Cursor Maker', 'wpcustom-cursors')}</span>
      </div>
    </div>
  );
};

export default AdBanner;