// import React from '@wordpress/element';
import * as React from 'react';
import { __ } from '@wordpress/i18n';

import noCursor from '../../assets/img/no-cursor.svg';

interface EmptyStateProps {
    onAddCursorClick: () => void;
}


const EmptyState: React.FC = ({ onAddCursorClick }) => {
  return (
    <div className="bg-white rounded-lg p-8 mt-4 flex flex-col items-center justify-center">
        <img src={noCursor} alt="No Cursor" className="w-1/3" />
        <h2 className="mt-4 text-2xl text-neutral-700">{__('Welcome to WP Custom Cursors', 'wpcustom-cursors')}</h2>
        <p>{__('Get started by adding your first cursor to your site.', 'wpcustom-cursors')}</p>
        <button onClick={onAddCursorClick} className="bg-blue-600 text-white px-6 py-3 rounded-md mt-4">{__('Add Cursor', 'wpcustom-cursors')}</button>
        <div className="flex gap-4 mt-4">
            <a href='https://wpcustomcursors.com' className="text-blue-600 mt-2">{__('Make Your Own Cursor', 'wpcustom-cursors')}</a>
            <a href='https://wpcustomcursors.com/support' className="text-blue-600 mt-2">{__('View Tutorials', 'wpcustom-cursors')}</a>
        </div>
    </div>
  );
};

export default EmptyState;