<?php

/**
 * Main Plugin File
 *
 *
 * @link              https://hamidrezasepehr.com/
 * @since             1.0.0
 * @package           Wpcc
 *
 * @wordpress-plugin
 * Plugin Name:       WP Custom Cursors
 * Plugin URI:        https://wordpress.org/plugins/wp-custom-cursors/
 * Description:       Say No To Ordinary Cursors!
 * Version:           3.5.0
 * Author:            Hamid Reza Sepehr
 * Author URI:        https://hamidrezasepehr.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wpcustom-cursors
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 */
define( 'WPCC_VERSION', '3.5.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wp-custom-cursors-activator.php
 */
function wpcc_activate_plugin() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wp-custom-cursors-activator.php';
	Wpcc_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wp-custom-cursors-deactivator.php
 */
function wpcc_deactivate_plugin() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wp-custom-cursors-deactivator.php';
	Wpcc_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'wpcc_activate_plugin' );
register_deactivation_hook( __FILE__, 'wpcc_deactivate_plugin' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wp-custom-cursors.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function wpcc_run() {

	$plugin = new Wpcc_Class();
	$plugin->run();

}
wpcc_run();
